Loading...
Searching...
No Matches
freecontact::ct_vector< _Tp > Class Template Reference
Inheritance diagram for freecontact::ct_vector< _Tp >:

## Public Member Functions

| ct_vector (uint16_t __alilen=0)
_Tp & | operator() (uint16_t __i, uint16_t __j)
const _Tp & | operator() (uint16_t __i, uint16_t __j) const

## Public Attributes

uint16_t | alilen

## Detailed Description

template<typename _Tp>
class freecontact::ct_vector< _Tp >

Definition at line 62 of file freecontact.cpp.

## Constructor & Destructor Documentation

## ct_vector()

template<typename _Tp>

freecontact::ct_vector< _Tp >::ct_vector | ( | uint16_t | __alilen = 0 | ) |

inline

Definition at line 66 of file freecontact.cpp.

## Member Function Documentation

## operator()() [1/2]

template<typename _Tp>

_Tp & freecontact::ct_vector< _Tp >::operator() | ( | uint16_t | __i,
|  | uint16_t | __j )

inline

Definition at line 69 of file freecontact.cpp.

## operator()() [2/2]

template<typename _Tp>

const _Tp & freecontact::ct_vector< _Tp >::operator() | ( | uint16_t | __i,
|  | uint16_t | __j ) const

inline

Definition at line 74 of file freecontact.cpp.

## Member Data Documentation

## alilen

template<typename _Tp>

uint16_t freecontact::ct_vector< _Tp >::alilen

Definition at line 64 of file freecontact.cpp.

The documentation for this class was generated from the following file:

- freecontact.cpp